play.db.helper

## Class SqlQuery.Concat

- java.lang.Object
- - play.db.helper.SqlQuery.Concat

- Enclosing class:
    SqlQuery

      public static class SqlQuery.Concat
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Concat(SqlQuery.Concat src)`
    `Concat(java.lang.String prefix, java.lang.String separator)`
    `Concat(java.lang.String prefix, java.lang.String separator, java.lang.String suffix)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SqlQuery.Concat` | `add(java.lang.String... texts)`
    `SqlQuery.Concat` | `append(java.lang.Object obj)`
    `SqlQuery.Concat` | `defaultValue(java.lang.String defaultValue)`
    `boolean` | `isEmpty()`
    `SqlQuery.Concat` | `prefix(java.lang.String prefix)`
    `SqlQuery.Concat` | `separator(java.lang.String separator)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Concat

          public Concat(java.lang.String prefix,
                        java.lang.String separator,
                        java.lang.String suffix)

    - #### Concat

          public Concat(java.lang.String prefix,
                        java.lang.String separator)

    - #### Concat

          public Concat(SqlQuery.Concat src)

  - ### Method Detail

    - #### defaultValue

          public SqlQuery.Concat defaultValue(java.lang.String defaultValue)

    - #### prefix

          public SqlQuery.Concat prefix(java.lang.String prefix)

    - #### separator

          public SqlQuery.Concat separator(java.lang.String separator)

    - #### append

          public SqlQuery.Concat append(java.lang.Object obj)

    - #### add

          public SqlQuery.Concat add(java.lang.String... texts)

    - #### isEmpty

          public boolean isEmpty()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly